package com.servicemall.website.data;

import java.util.Date;

import team.bangbang.common.CommonMPI;

/**
 * 轮播图 - POJO
 * 对应数据库表：website_slider_base
 *
 * @author qiuli.feng
 * @version 1.0  2020-12-08
 */
public class Slider {
	/* 轮播图编码（关键字） */
	private Long slider_Id = null;

	/* 轮播图名称 */
	private String sliderName = null;
	
	/* 状态标识{1：待生效 2：生效中 3:已结束} */
	private Integer statusFlag = null;
	
	/* 轮播图图片地址 */
	private String imageUrl = null;

	/* 双击图片放大 */
	private String dblclickImage = null;
	
	/* 排序 */
	private Integer sortNo = null;
	
	/* 跳转链接 */
	private String jumpUrl = null;
	
	/* 是否立即发布{1：发布 2：暂停} */
	private Integer publishNow = null;
	
	/* 操作人编号 */
	private Long operatorId = null;
	
	/* 展示开始时间 */
	private Date showStartTime = null;
	/* 展示开始时间 （查询上线） */
	private Date showStartTimeTop = null;
	/* 展示开始时间 （查询下线） */
	private Date showStartTimeBottom = null;
	
	/* 展示结束时间 */
	private Date showEndTime = null;
	/* 展示结束时间 （查询上线） */
	private Date showEndTimeTop = null;
	/* 展示结束时间 （查询下线） */
	private Date showEndTimeBottom = null;
	
	/* 创建时间 */
	private Date createTime = null;
	/* 创建时间 （查询上线） */
	private Date createTimeTop = null;
	/* 创建时间 （查询下线） */
	private Date createTimeBottom = null;
	
	/*
	 * 固定数据字典 状态{1：待生效 2：生效中 3:已结束}
	 */
	public static final String[] statusFlags = { "状态{1：待生效 2：生效中 3:已结束}" };

	/**
	 * @return 轮播图编码
	 */
	public Long getId() {
		return slider_Id;
	}

	/**
	 * @param slider_Id 轮播图编码
	 */
	public void setId(Long slider_Id) {
		this.slider_Id = slider_Id;
	}

	/**
	 * @return 轮播图名称
	 */
	public String getSliderName() {
		return sliderName;
	}

	/**
	 * @param sliderName 轮播图名称
	 */
	public void setSliderName(String sliderName) {
		this.sliderName = sliderName;
	}

	/**
	 * @return 状态标识{1：待生效 2：生效中 3:已结束}
	 */
	public Integer getStatusFlag() {
		return statusFlag;
	}

	/**
	 * @param statusFlag 状态标识{1：待生效 2：生效中 3:已结束}
	 */
	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	/**
	 * @return 状态{1：待生效 2：生效中 3:已结束}名称
	 */
	public String getStatusName() {
		Integer nFlag = getStatusFlag();
		return CommonMPI.getDictionaryName(statusFlags, nFlag);
	}

	/**
	 * @return 轮播图图片地址
	 */
	public String getImageUrl() {
		return imageUrl;
	}

	/**
	 * @param imageUrl 轮播图图片地址
	 */
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	/**
	 * @return 排序
	 */
	public Integer getSortNo() {
		return sortNo;
	}

	/**
	 * @param sortNo 排序
	 */
	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	/**
	 * @return 跳转链接
	 */
	public String getJumpUrl() {
		return jumpUrl;
	}

	/**
	 * @param jumpUrl 跳转链接
	 */
	public void setJumpUrl(String jumpUrl) {
		this.jumpUrl = jumpUrl;
	}

	/**
	 * @return 是否立即发布{1：发布 2：暂停}
	 */
	public Integer getPublishNow() {
		return publishNow;
	}

	/**
	 * @param publishNow 是否立即发布{1：发布 2：暂停}
	 */
	public void setPublishNow(Integer publishNow) {
		this.publishNow = publishNow;
	}

	/**
	 * @return 操作人编号
	 */
	public Long getOperatorId() {
		return operatorId;
	}

	/**
	 * @param operatorId 操作人编号
	 */
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}

	/**
	 * @return 展示开始时间
	 */
	public Date getShowStartTime() {
		return showStartTime;
	}

	/**
	 * @param showStartTime 展示开始时间
	 */
	public void setShowStartTime(Date showStartTime) {
		this.showStartTime = showStartTime;
	}

	/**
	 * @return 展示开始时间（查询上线）
	 */
	public Date getShowStartTimeTop() {
		return showStartTimeTop;
	}

	/**
	 * @param showStartTimeTop 展示开始时间（查询上线）
	 */
	public void setShowStartTimeTop(Date showStartTimeTop) {
		this.showStartTimeTop = showStartTimeTop;
	}

	/**
	 * @return 展示开始时间（查询下线）
	 */
	public Date getShowStartTimeBottom() {
		return showStartTimeBottom;
	}

	/**
	 * @param showStartTimeBottom 展示开始时间（查询下线）
	 */
	public void setShowStartTimeBottom(Date showStartTimeBottom) {
		this.showStartTimeBottom = showStartTimeBottom;
	}

	/**
	 * @return 展示结束时间
	 */
	public Date getShowEndTime() {
		return showEndTime;
	}

	/**
	 * @param showEndTime 展示结束时间
	 */
	public void setShowEndTime(Date showEndTime) {
		this.showEndTime = showEndTime;
	}

	/**
	 * @return 展示结束时间（查询上线）
	 */
	public Date getShowEndTimeTop() {
		return showEndTimeTop;
	}

	/**
	 * @param showEndTimeTop 展示结束时间（查询上线）
	 */
	public void setShowEndTimeTop(Date showEndTimeTop) {
		this.showEndTimeTop = showEndTimeTop;
	}

	/**
	 * @return 展示结束时间（查询下线）
	 */
	public Date getShowEndTimeBottom() {
		return showEndTimeBottom;
	}

	/**
	 * @param showEndTimeBottom 展示结束时间（查询下线）
	 */
	public void setShowEndTimeBottom(Date showEndTimeBottom) {
		this.showEndTimeBottom = showEndTimeBottom;
	}

	/**
	 * @return 创建时间
	 */
	public Date getCreateTime() {
		return createTime;
	}

	/**
	 * @param createTime 创建时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	/**
	 * @return 创建时间（查询上线）
	 */
	public Date getCreateTimeTop() {
		return createTimeTop;
	}

	/**
	 * @param createTimeTop 创建时间（查询上线）
	 */
	public void setCreateTimeTop(Date createTimeTop) {
		this.createTimeTop = createTimeTop;
	}

	/**
	 * @return 创建时间（查询下线）
	 */
	public Date getCreateTimeBottom() {
		return createTimeBottom;
	}

	/**
	 * @param createTimeBottom 创建时间（查询下线）
	 */
	public void setCreateTimeBottom(Date createTimeBottom) {
		this.createTimeBottom = createTimeBottom;
	}

	public String getDblclickImage() {
		return dblclickImage;
	}

	public void setDblclickImage(String dblclickImage) {
		this.dblclickImage = dblclickImage;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		return (getId() == null)?0:getId().toString().hashCode();
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		if(getId() == null || obj == null || !(obj instanceof Slider)) {
			return false;
		}

		return getId().equals(((Slider)obj).getId());
	}
}
