package team.bangbang.common.data;

/**
 * 状态码
 *
 * @author 帮帮组
 * @version 1.0 2018年9月29日
 */
public final class StatusCode {
    /**
     * 成功
     */
    public static final int SUCCESS = 200;

    /**
     * 20X段服务调用 - 请求次数超限，暂时封禁
     */
    public static final int SERVICE_REQUEST_OUT_LIMIT = 201;
    /**
     * 20X段服务调用 - 请求参数缺少必要字段
     */
    public static final int SERVICE_FIELD_EXPECTED = 202;
    /**
     * 20X段服务调用 - 请求参数JSON格式有误
     */
    public static final int SERVICE_ERROR_JSON = 203;

    /**
     * 30X段权限 - 无权限
     */
    public static final int PERMISSION_DENIED = 300;
    /**
     * 30X段权限 - Token过期
     */
    public static final int PERMISSION_EXPIRED_TOKEN = 301;
    /**
     * 30X段权限 - 验签失败
     */
    public static final int PERMISSION_INVALID_SIGN = 302;
    /**
     * 30X段权限 - IP无效
     */
    public static final int PERMISSION_INVALID_IP = 303;

    /**
     * 40X段错误 - 网络错误
     */
    public static final int ERROR_NETWORK = 400;
    /**
     * 40X段错误 - 业务逻辑错误
     */
    public static final int ERROR_LOGIC = 401;
    /**
     * 40X段错误 - 数据库错误
     */
    public static final int ERROR_DATABASE = 402;
    /**
     * 40X段错误 - 文件读写错误
     */
    public static final int ERROR_FILE_OPERATE = 403;
    /**
     * 40X段服务调用 - 请求的服务不存在
     */
    public static final int SERVICE_NOT_EXIST = 404;
    /**
     * 40X段错误 - 调用第三方接口异常
     */
    public static final int ERROR_THIRD_SERVICE = 405;

    /**
     * 50X数据操作 - 记录未发现
     */
    public static final int DATA_NOT_FOUND = 500;
    /**
     * 50X数据操作 - 重复的记录
     */
    public static final int DATA_DUPLICATE = 501;
    /**
     * 50X数据操作 - 空白的结果
     */
    public static final int DATA_BLANK = 502;
    /**
     * 50X数据操作 - 系统保护数据
     */
    public static final int DATA_PROTECTED = 503;

    /**
     * 100X操作账户相关 - 账号或者密码错误
     */
    public static final int USER_LOGIN_FAILED = 1000;
    /**
     * 100X操作账户相关 - 账号已经被禁用
     */
    public static final int USER_DISABLED = 1001;
    /**
     * 100X操作账户相关 - 没有登录或者长时间未操作导致登录信息丢失
     */
    public static final int USER_IDENTITY_MISS = 1002;

    /**
     * 999X日志级别 - DEBUG
     */
    public static final int LOG_DEBUG = 9990;
    /**
     * 999X日志级别 - INFO
     */
    public static final int LOG_INFO = 9991;
    /**
     * 999X日志级别 - WARN
     */
    public static final int LOG_WARN = 9992;
    /**
     * 999X日志级别 - ERROR
     */
    public static final int LOG_ERROR = 9993;
    /**
     * 999X日志级别 - FATAL
     */
    public static final int LOG_FATAL = 9994;
}

